#pragma once

#include "betalupi_ergodox.h"
#include "version.h"
#include "keymap_russian.h"
#include "keymap_us_international.h"


#include "layers.h"
#include "tapdance.h"


#define KC_MAC_UNDO LGUI(KC_Z)
#define KC_MAC_CUT LGUI(KC_X)
#define KC_MAC_COPY LGUI(KC_C)
#define KC_MAC_PASTE LGUI(KC_V)
#define KC_PC_UNDO LCTL(KC_Z)
#define KC_PC_CUT LCTL(KC_X)
#define KC_PC_COPY LCTL(KC_C)
#define KC_PC_PASTE LCTL(KC_V)
#define ES_LESS_MAC KC_GRAVE
#define ES_GRTR_MAC LSFT(KC_GRAVE)
#define ES_BSLS_MAC ALGR(KC_6)
#define NO_PIPE_ALT KC_GRAVE
#define NO_BSLS_ALT KC_EQUAL
#define LSA_T(kc) MT(MOD_LSFT | MOD_LALT, kc)
#define BP_NDSH_MAC ALGR(KC_8)

/* Text keyboard
*
* ,--------------------------------------------------.           ,--------------------------------------------------.
* |   =    |   1  |   2  |   3  |   4  |   5  | LEFT |           | RIGHT|   6  |   7  |   8  |   9  |   0  |   -    |
* |--------+------+------+------+------+-------------|           |------+------+------+------+------+------+--------|
* | Del    |   Q  |   W  |   E  |   R  |   T  |  L1  |           |  L1  |   Y  |   U  |   I  |   O  |   P  |   \    |
* |--------+------+------+------+------+------|      |           |      |------+------+------+------+------+--------|
* | BkSp   |   A  |   S  |   D  |   F  |   G  |------|           |------|   H  |   J  |   K  |   L  |; / L2|' / Cmd |
* |--------+------+------+------+------+------| Hyper|           | Meh  |------+------+------+------+------+--------|
* | LShift |Z/Ctrl|   X  |   C  |   V  |   B  |      |           |      |   N  |   M  |   ,  |   .  |//Ctrl| RShift |
* `--------+------+------+------+------+-------------'           `-------------+------+------+------+------+--------'
*   |Grv/L1|  '"  |AltShf| Left | Right|                                       |  Up  | Down |   [  |   ]  | ~L1  |
*   `----------------------------------'                                       `----------------------------------'
*                                        ,-------------.       ,-------------.
*                                        | App  | LGui |       | Alt  |Ctrl/Esc|
*                                 ,------|------|------|       |------+--------+------.
*                                 |      |      | Home |       | PgUp |        |      |
*                                 | Space|Backsp|------|       |------|  Tab   |Enter |
*                                 |      |ace   | End  |       | PgDn |        |      |
*                                 `--------------------'       `----------------------'
*/

/* LED layout template
#define LAYER_COLEMAK_LEDS LEDS_ergodox(\
	LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF, \
	LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF, \
	LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF, \
	LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF, \
	LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF, \
	\
	LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF, \
	LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF, \
	LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF, \
	LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF, \
	              LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF  \
)
*/

// LED colors, in HSV.
#define LC_OFF    LC_HSV(  0,   0,  0)
#define LC_GREEN  LC_HSV( 85, 203, 158)
#define LC_YELLOW LC_HSV( 32, 176, 255)
#define LC_PINK   LC_HSV(243, 222, 234)
#define LC_CYAN   LC_HSV(134, 255, 213)
#define LC_ORANGE LC_HSV( 14, 255, 255)

#define LC_RU_B LC_HSV(  0,   0, 165)
#define LC_RU_G LC_HSV(153, 255, 153)
#define LC_RU_K LC_HSV(  0, 255, 145)


extern int current_lang;
extern rgb_config_t rgb_matrix_config;

void set_lang(int lang);
void set_lang_long(int lang, bool force);